Occupations

List Occupations

GET
/orgs/{organizationId}/occupations

Lists occupations with pagination, filtering, sorting, and includes. Supports filtering by customer, terrain, reservation, and paidUntil date range.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""occupationType""rentPeriod""price""description""paidUntil""invoicedUntil""createdAt""updatedAt""customerId""reservationId""terrainId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
reservationId?string|array<string>|null
occupationType?|array<>|
price?number||
paidUntil?|null
invoicedUntil?|null
createdAt?|null
updatedAt?|null
description?string|array<string>|
customerId?string|array<string>|
terrainId?string|array<string>|
rentPeriod?
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
eventLogId?string|array<string>|
auditLogId?string|array<string>|
hasReservation?boolean|string|number|null
hasNoReservation?boolean|string|number|null
search?string

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/occupations'
null